package com.shuoeasy.test.dao.impl;

import org.hibernate.Session;
import org.hibernate.SessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import com.shuoeasy.test.dao.OrdersDao;
import com.shuoeasy.test.entity.Orders;

@Repository("ordersDao")
public class OrdersDaoImpl implements OrdersDao{
	
	@Autowired
	private SessionFactory sessionFactory;
	
	private Session getSession(){
		return sessionFactory.getCurrentSession();
	}
	
	@Override
	public int add(Orders orders) {
		getSession().save(orders);
		return 1;
	}

}
