package com.shuoeasy.test.service.impl;

import java.math.BigDecimal;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.shuoeasy.test.dao.UserDao;
import com.shuoeasy.test.entity.User;
import com.shuoeasy.test.service.UserService;

@Service("userService")
public class UserServiceImpl implements UserService{
	
	@Autowired
	private UserDao userDao;
	
	public int add(User user){
		return userDao.add(user);
	}

	@Override
	public User find(int uid) {
		return userDao.find(uid);
	}

	@Override
	public int transfer(int fromUid, int toUid, BigDecimal money) {
		return userDao.transfer(fromUid, toUid, money);
	}
	 
}
